Access Control
All operations require authentication.
List access pathsBeta
Returns the paths to mount the share. One of them is marked as preferred.
Path parameters
Service name
Share ID
Response
Access path ID
Export path
Whether this path is preferred
Example uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId}/ accessPath \
-H "authorization: Bearer $OVH_TOKEN"1[2 {3 "id": "00000000-0000-0000-0000-000000000000",4 "path": "string",5 "preferred": true6 }7]
List ACLsBeta
Returns the ACLs of the share.
Path parameters
Service name
Share ID
Response
Rule access level
rorwRule destination
Rule access type
ipRule creation date
ACL rule ID
Rule status
activeapplyingdenyingerrorqueued_to_applyqueued_to_denyExample uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId}/ acl \
-H "authorization: Bearer $OVH_TOKEN"1[2 {3 "accessLevel": "ro",4 "accessTo": "string",5 "accessType": "ip",6 "createdAt": "2024-01-01T12:00:00Z",7 "id": "00000000-0000-0000-0000-000000000000",8 "status": "active"9 }10]
Get an access pathBeta
Returns the export path and whether it is the preferred one.
Path parameters
Access path ID
Service name
Share ID
Response
Access path ID
Export path
Whether this path is preferred
Example uses accessPathId = 00000000-0000-0000-0000-000000000000, serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId}/ accessPath/ {accessPathId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "id": "00000000-0000-0000-0000-000000000000",3 "path": "string",4 "preferred": true5}
Get an ACLBeta
Returns the ACL and its status.
Path parameters
Acl rule ID
Service name
Share ID
Response
Rule access level
rorwRule destination
Rule access type
ipRule creation date
ACL rule ID
Rule status
activeapplyingdenyingerrorqueued_to_applyqueued_to_denyExample uses aclRuleId = 00000000-0000-0000-0000-000000000000, serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId}/ acl/ {aclRuleId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "accessLevel": "ro",3 "accessTo": "string",4 "accessType": "ip",5 "createdAt": "2024-01-01T12:00:00Z",6 "id": "00000000-0000-0000-0000-000000000000",7 "status": "active"8}
Create an ACLBeta
Grants read-write or read-only access to the share to an IPv4 address or CIDR block.
Path parameters
Service name
Share ID
Request body (required)
Access level (e.g. rw, ro)
rorwAccess destination: an IPv4 address or an IPv4 CIDR block (e.g. 192.0.2.1 or 192.0.2.0/24)
Response
Rule access level
rorwRule destination
Rule access type
ipRule creation date
ACL rule ID
Rule status
activeapplyingdenyingerrorqueued_to_applyqueued_to_denyExample uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId}/ acl \
-H "authorization: Bearer $OVH_TOKEN"1{2 "accessLevel": "ro",3 "accessTo": "string",4 "accessType": "ip",5 "createdAt": "2024-01-01T12:00:00Z",6 "id": "00000000-0000-0000-0000-000000000000",7 "status": "active"8}
Delete an ACLBeta
Deletes the ACL and revokes the access it granted.
Path parameters
Acl rule ID
Service name
Share ID
Response
Example uses aclRuleId = 00000000-0000-0000-0000-000000000000, serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId}/ acl/ {aclRuleId} \
-H "authorization: Bearer $OVH_TOKEN"